Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathIntrospector

    java.lang.Object
      org.apache.commons.jxpath.JXPathIntrospector

    public class JXPathIntrospector

extends Object

JXPathIntrospector maintains a registry of `JXPathBeanInfo` objects for Java classes.

Version:
  $Revision: 670727 $ $Date: 2008-06-23 15:10:38 -0500 (Mon, 23 Jun 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`JXPathIntrospector()`

Method Summary
`static JXPathBeanInfo` | `getBeanInfo(Class beanClass)` Creates and registers a JXPathBeanInfo object for the supplied class.
`static void` | `registerAtomicClass(Class beanClass)` Automatically creates and registers a JXPathBeanInfo object for the specified class.
`static void` | `registerDynamicClass(Class beanClass, Class dynamicPropertyHandlerClass)` Automatically creates and registers a `JXPathBeanInfo` object for the specified class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JXPathIntrospector

    public JXPathIntrospector()

Method Detail

### registerAtomicClass

    public static void registerAtomicClass(Class beanClass)

  Automatically creates and registers a JXPathBeanInfo object for the specified class. That object returns true to isAtomic().

  Parameters:
    `beanClass` - to register

### registerDynamicClass

    public static void registerDynamicClass(Class beanClass,
                                            Class dynamicPropertyHandlerClass)

  Automatically creates and registers a `JXPathBeanInfo` object for the specified class. That object returns true to `JXPathBeanInfo.isDynamic()`.

  Parameters:
    `beanClass` - to register
    `dynamicPropertyHandlerClass` - to handle beanClass

### getBeanInfo

    public static JXPathBeanInfo getBeanInfo(Class beanClass)

  Creates and registers a JXPathBeanInfo object for the supplied class. If the class has already been registered, returns the registered JXPathBeanInfo object.

  The process of creation of JXPathBeanInfo is as follows:

  - If class named `<beanClass>XBeanInfo` exists, an instance of that class is allocated.
  - Otherwise, an instance of `JXPathBasicBeanInfo` is allocated.

  Parameters:
    `beanClass` - whose info to get
  Returns:
    JXPathBeanInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.